import psycopg2
from cherrypy.lib import auth_digest
import cherrypy
import numpy as np
import pandas as pd
import os
import subprocess

from datetime import datetime

def get_sql(sql_string):
    try:
        conn = psycopg2.connect("dbname=npropes user=npropes password=protocolz123")
        cur = conn.cursor()
        cur.execute(sql_string)
        result = cur.fetchall()
        cur.close()
        conn.close()
        #print 'get_sql succeeded'
        return result
    except:
        #print 'get_sql failed'
        return None

scores = get_sql("SELECT team_name,time_stamp,score,score2,avg FROM scores;")
login = get_sql("SELECT team_name,team_password FROM login;")
contacts = get_sql("SELECT team_name,contact_name,contact_email,contact_affiliation FROM contacts;")
#vscores = get_sql("SELECT team_name,time_stamp,score1,score2 FROM verify_scores;")

df_scores = pd.DataFrame(scores)
if len(df_scores) > 0:
    df_scores.columns = ['team_name','time_stamp','score','score2','avg']
df_login = pd.DataFrame(login)
if len(df_login) > 0:
    df_login.columns = ['team_name','team_password']
df_contacts = pd.DataFrame(contacts)
if len(df_contacts) > 0:
    df_contacts.columns = ['team_name','contact_name','contact_email','contact_affiliation']
#df_vscores = pd.DataFrame(vscores)
#df_vscores.columns = ['team_name','time_stamp','accuracy','sensitivity']

df_scores.to_csv("scores.csv",index=False)
df_login.to_csv("login.csv",index=False)
df_contacts.to_csv("contacts.csv",index=False)
#df_vscores.to_csv("verify_scores.csv",index=False)
